GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_ssl_server_config Struct Reference

`#include <security_connector.h>`

## Data Fields
unsigned char ** | pem_private_keys
size_t * | pem_private_keys_sizes
unsigned char ** | pem_cert_chains
size_t * | pem_cert_chains_sizes
size_t | num_key_cert_pairs
unsigned char * | pem_root_certs
size_t | pem_root_certs_size
int | force_client_auth

## Field Documentation

int grpc_ssl_server_config::force_client_auth

size_t grpc_ssl_server_config::num_key_cert_pairs

unsigned char** grpc_ssl_server_config::pem_cert_chains

size_t* grpc_ssl_server_config::pem_cert_chains_sizes

unsigned char** grpc_ssl_server_config::pem_private_keys

size_t* grpc_ssl_server_config::pem_private_keys_sizes

unsigned char* grpc_ssl_server_config::pem_root_certs

size_t grpc_ssl_server_config::pem_root_certs_size

The documentation for this struct was generated from the following file:

- src/core/security/security_connector.h